Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.spi
Class XDBNamingEnumeration

    java.lang.Object
      |
      +--oracle.xdb.spi.XDBNamingEnumeration

All Implemented Interfaces:
  java.util.Enumeration, javax.naming.NamingEnumeration

public class XDBNamingEnumeration
extends java.lang.Object
implements javax.naming.NamingEnumeration

Field Summary
`static int` | `NAMING_TYPE_NAMEBINDING`
`static int` | `NAMING_TYPE_NAMECLASS`

Constructor Summary
`XDBNamingEnumeration(java.util.Hashtable env, java.sql.Connection conn, long enum, java.lang.String abspath, int type)`

Method Summary
`void` | `close()`
`void` | `finalize()`
`boolean` | `hasMore()`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `next()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMING_TYPE_NAMECLASS

    public static int NAMING_TYPE_NAMECLASS

### NAMING_TYPE_NAMEBINDING

    public static int NAMING_TYPE_NAMEBINDING

Constructor Detail

### XDBNamingEnumeration

    public XDBNamingEnumeration(java.util.Hashtable env,
                                java.sql.Connection conn,
                                long enum,
                                java.lang.String abspath,
                                int type)
                         throws java.sql.SQLException,
                                javax.naming.OperationNotSupportedException

Method Detail

### hasMore

    public boolean hasMore()
                    throws javax.naming.NamingException

  Specified by:
    `hasMore` in interface `javax.naming.NamingEnumeration`
    `javax.naming.NamingException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### next

    public java.lang.Object next()
                          throws javax.naming.NamingException

  Specified by:
    `next` in interface `javax.naming.NamingEnumeration`
    `javax.naming.NamingException`

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
    `java.util.NoSuchElementException`

### close

    public void close()

  Specified by:
    `close` in interface `javax.naming.NamingEnumeration`

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.